Bug 1105173 - cmis-client - Fails to build with Boost 1.68.0
cmis-client - Fails to build with Boost 1.68.0
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Tomáš Chvátal
E-mail List
:
Depends on:
Blocks: 1105081
  Show dependency treegraph
 
Reported: 2018-08-17 07:22 UTC by Adam Majer
Modified: 2020-02-07 18:15 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2018-08-17 07:22:47 UTC
New Boost library has been released and unfortunately this package fails to build with it. The new boost library is soon submitted to devel:libraries:c_c++/boost and will be submitted to openSUSE:Factory shortly.

https://build.opensuse.org/package/show/home:adamm:boost_test/cmis-client

[  163s] xml-utils.cxx:34:10: fatal error: boost/uuid/sha1.hpp: No such file or directory
[  163s]  #include <boost/uuid/sha1.hpp>
[  163s]           ^~~~~~~~~~~~~~~~~~~~~
[  163s] compilation terminated.

This is caused by removal of compatibility SHA1 header from Uuid boost library.
Comment 1 Tomáš Chvátal 2018-08-17 07:58:00 UTC
https://github.com/tdf/libcmis/issues/19

Looks trivial :) I will give the upstream bit time to release new version tho.
Comment 2 Adam Majer 2018-08-17 09:38:28 UTC
Yes, it's trivial fix. I've submitted fix to the devel project.
Comment 3 Tomáš Chvátal 2018-08-17 10:25:25 UTC
Submission acked. I just wanted to not add patch since they will have to release new version...
Comment 4 Adam Majer 2018-08-17 11:09:20 UTC
(In reply to Tomáš Chvátal from comment #3)
> Submission acked. I just wanted to not add patch since they will have to
> release new version...

I guess it depends how they patch it. If you don't add Boost version checks, it will fail to build with old version. Maybe proper way is not to use boost::detail namespace, but people ignore that all the time and then their sources look like chaos.
Comment 6 Swamp Workflow Management 2019-12-16 20:12:02 UTC
SUSE-SU-2019:3313-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (moderate)
Bug References: 1061210,1105173,1144522,1152684
CVE References: CVE-2019-9853
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    cmis-client-0.5.2-3.3.1, libixion-0.15.0-4.6.1, libmwaw-0.3.15-4.6.1, liborcus-0.15.3-3.6.1, myspell-dictionaries-20191016-3.12.1
SUSE Linux Enterprise Workstation Extension 15 (src):    cmis-client-0.5.2-3.3.1, libixion-0.15.0-4.6.1, libmwaw-0.3.15-4.6.1, liborcus-0.15.3-3.6.1, libreoffice-6.3.3.2-3.27.1, myspell-dictionaries-20191016-3.12.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    cmis-client-0.5.2-3.3.1, libixion-0.15.0-4.6.1, libmwaw-0.3.15-4.6.1, liborcus-0.15.3-3.6.1, mdds-1_5-1.5.0-1.3.1, myspell-dictionaries-20191016-3.12.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    cmis-client-0.5.2-3.3.1, libixion-0.15.0-4.6.1, libmwaw-0.3.15-4.6.1, liborcus-0.15.3-3.6.1, mdds-1_5-1.5.0-1.3.1, myspell-dictionaries-20191016-3.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    myspell-dictionaries-20191016-3.12.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    myspell-dictionaries-20191016-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-12-31 05:11:46 UTC
openSUSE-SU-2019:2709-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (moderate)
Bug References: 1061210,1105173,1144522,1152684
CVE References: CVE-2019-9853
Sources used:
openSUSE Leap 15.1 (src):    cmis-client-0.5.2-lp151.3.3.1, libixion-0.15.0-lp151.4.6.1, libmwaw-0.3.15-lp151.2.3.1, liborcus-0.15.3-lp151.3.6.1, libreoffice-6.3.3.2-lp151.3.9.1, mdds-1_5-1.5.0-lp151.2.1, myspell-dictionaries-20191016-lp151.2.6.1, spdlog-0.16.3-lp151.3.3.1
Comment 8 Swamp Workflow Management 2020-02-07 17:14:05 UTC
SUSE-SU-2020:0372-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (moderate)
Bug References: 1061210,1105173,1144522,1152684
CVE References: CVE-2019-9853
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    bluez-5.13-5.20.6, cmis-client-0.5.2-9.3.1, libixion-0.15.0-13.12.1, libmwaw-0.3.15-7.15.1, liborcus-0.15.3-10.15.1, libreoffice-6.3.3.2-43.59.5, myspell-dictionaries-20191016-16.21.1
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    bluez-5.13-5.20.6, cmis-client-0.5.2-9.3.1, libixion-0.15.0-13.12.1, libmwaw-0.3.15-7.15.1, liborcus-0.15.3-10.15.1, libreoffice-6.3.3.2-43.59.5, myspell-dictionaries-20191016-16.21.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    bluez-5.13-5.20.6, cmis-client-0.5.2-9.3.1, gperf-3.1-19.4.1, libixion-0.15.0-13.12.1, libmwaw-0.3.15-7.15.1, liborcus-0.15.3-10.15.1, libreoffice-6.3.3.2-43.59.5
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    bluez-5.13-5.20.6, cmis-client-0.5.2-9.3.1, gperf-3.1-19.4.1, libixion-0.15.0-13.12.1, libmwaw-0.3.15-7.15.1, liborcus-0.15.3-10.15.1, libreoffice-6.3.3.2-43.59.5
SUSE Linux Enterprise Server 12-SP5 (src):    bluez-5.13-5.20.6
SUSE Linux Enterprise Server 12-SP4 (src):    bluez-5.13-5.20.6

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.